Browse Source

tamago-tsunagi 5.0.7.1-1

git-svn-id: http://trac.vinelinux.org/repos/projects/specs@9542 ec354946-7b23-47d6-9f5a-488ba84defc7
iwaim 9 years ago
parent
commit
5f35401378

+ 11 - 0
t/tamago-tsunagi/tamago-4.0.6-egg-helper-path.patch

@@ -0,0 +1,11 @@
+--- tamago-4.0.6/egg/canna.el.helper-path	2006-11-04 20:50:07.000000000 +0900
++++ tamago-4.0.6/egg/canna.el	2006-11-04 20:50:28.000000000 +0900
+@@ -53,7 +53,7 @@
+   "Group Name on CANNA server"
+   :group 'canna :type 'string)
+ 
+-(defcustom egg-canna-helper-path "egg-helper"
++(defcustom egg-canna-helper-path "/usr/libexec/egg-helper"
+   "path of canna unix domain connection helper program"
+   :group 'canna :type 'file)
+ 

+ 15 - 0
t/tamago-tsunagi/tamago-tsunagi-init.el

@@ -0,0 +1,15 @@
+;;
+;; tamago-tsunagi-init.el
+;;
+;; 	for Vine Linux with emacsen-common
+
+(defcustom vine-default-tamago-tsunagi t
+  "A boolean for vine-default-tamago-tsunagi"
+  :type 'boolean)
+
+(add-hook 'vine-default-setup-hook
+	  (lambda()
+	    (if vine-default-tamago-tsunagi
+		(require 'vine-default-tamago-tsunagi))))
+
+;;; end of file

+ 61 - 0
t/tamago-tsunagi/tamago-tsunagi-install.sh

@@ -0,0 +1,61 @@
+#! /bin/sh -e
+#  /usr/lib/emacsen-common/packages/install/tamago-tsunagi
+# [ This particular script hasn't been tested, so be careful. ]
+
+set -e
+
+FLAVOR=$1
+PACKAGE="tamago-tsunagi"
+
+if [ "X${FLAVOR}" = "X" ]; then
+    echo Need argument to determin FLAVOR of emacs;
+    exit 1
+fi
+
+if [ "X${PACKAGE}" = "X" ]; then
+    echo Internal error: need package name;
+    exit 1;
+fi
+
+ELDIR=/usr/share/emacs/site-lisp/${PACKAGE}
+ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}
+
+STARTDIR=/etc/${FLAVOR}/site-start.d
+STARTFILE="${PACKAGE}-init.el"
+
+SITELISP=/usr/share/${FLAVOR}/site-lisp
+
+case "${FLAVOR}" in
+    emacs-2*)
+	echo -n "install/${PACKAGE}: Byte-compiling for ${FLAVOR} ..."
+	rm -rf ${ELCDIR}
+	install -m 755 -d ${ELCDIR}
+
+	cp -a ${ELDIR}/* ${ELCDIR}
+
+	# Byte compile
+	(
+	    cd ${ELCDIR}
+	    make > ${ELCDIR}/CompilationLog 2>&1
+	    rm -f its/*.el
+	    rm -f egg/*.el
+	    rm -f egg*.el
+	    rm -f its.el
+	    rm -f leim-list.el
+	    rm -f menudiag.el
+	    rm -f docomp.el
+	    rm -f Makefile
+	)
+
+	gzip -9 ${ELCDIR}/CompilationLog
+
+	install -p -m644 ${ELDIR}/vine-default-${PACKAGE}.el ${ELCDIR}
+	ln -sf ${ELDIR}/${STARTFILE} ${STARTDIR}/50${STARTFILE}
+	
+	echo " done."
+	;;
+    *)
+	;;
+esac
+
+exit 0;

+ 41 - 0
t/tamago-tsunagi/tamago-tsunagi-remove.sh

@@ -0,0 +1,41 @@
+#!/bin/sh
+# /usr/lib/emacsen-common/packages/remove/foo
+# [ This particular script hasn't been tested either, so be careful. ]
+set -e
+
+FLAVOR=$1
+PACKAGE="tamago-tsunagi"
+
+if [ "X${FLAVOR}" = "X" ]; then
+    echo Need argument to determin FLAVOR of emacs;
+    exit 1
+fi
+
+if [ "X${PACKAGE}" = "X" ]; then
+    echo Internal error: need package name;
+    exit 1;
+fi
+
+ELDIR=/usr/share/emacs/site-lisp/${PACKAGE}
+ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}
+STARTDIR=/etc/${FLAVOR}/site-start.d
+STARTFILE="${PACKAGE}-init.el";
+
+SITELISP=/usr/share/${FLAVOR}/site-lisp
+
+case "${FLAVOR}" in
+	emacs)
+
+	;;
+	emacs-2*)
+	echo -n "remove/${PACKAGE}: Handling removal of emacsen flavor ${FLAVOR} ..."
+	rm -rf ${ELCDIR}
+	rm -f ${STARTDIR}/50${STARTFILE}*;
+	rm -f ${SITELISP}/egg
+	echo " done."
+	;;
+	*)
+	;;
+esac
+
+exit 0;

+ 140 - 0
t/tamago-tsunagi/tamago-tsunagi-vl.spec

@@ -0,0 +1,140 @@
+%define _noVersionedDependencies        1
+%define prereq_ge()  %(LC_ALL="C" rpm -q --queryformat 'Requires(pre):%%{NAME} >= %%{VERSION}' %1| grep -v "is not")
+
+%define origver 5.0.7.1
+%define origname tamago-tsunagi
+
+%define rel 1
+
+Summary: EGG Input Method Architecture for Emacsen
+
+Name: %{origname}
+Version: %{origver}
+Release: %{rel}%{?_dist_release}
+
+Source0: %{name}-%{version}.tar.gz
+Source1: %{origname}-install.sh
+Source2: %{origname}-remove.sh
+
+Source10: vine-default-%{origname}.el
+Source11: %{origname}-init.el
+
+Patch30: tamago-4.0.6-egg-helper-path.patch
+
+License: GPLv2+
+Group: Applications/Editors/Emacs
+BuildRoot: %{_tmppath}/%{name}-%{version}-root
+
+Requires: emacsen
+Requires: emacsen-common
+BuildRequires: apel
+%prereq_ge apel
+
+Vendor: Project Vine
+Distribution: Vine Linux
+Packager: iwaim
+
+%description
+EGG Emacs24 Input Method Architecture.
+
+%description -l ja
+GNU Emacs 24 以降に対応した多言語入力環境を提供します。
+
+%prep
+%setup -n %{origname}-%{origver}
+%patch30 -p1
+
+%build
+%configure
+
+gcc %{optflags} -o helper/egg-helper helper/egg-helper.c
+
+%install
+
+[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
+[ "${RPM_BUILD_ROOT}" != "/" ] && mkdir -p ${RPM_BUILD_ROOT}
+
+mkdir -p $RPM_BUILD_ROOT/%{_datadir}/emacs/site-lisp/%{origname}
+mkdir -p $RPM_BUILD_ROOT/%{emacsen_pkgdir}/install
+mkdir -p $RPM_BUILD_ROOT/%{emacsen_pkgdir}/remove
+
+#
+# install setting files
+#
+
+cp -a %{SOURCE10} %{SOURCE11} $RPM_BUILD_ROOT/%{_datadir}/emacs/site-lisp/%{origname}
+
+#
+# install el files
+# 
+
+cp -r eggrc *.el egg its* Makefile \
+	$RPM_BUILD_ROOT/usr/share/emacs/site-lisp/%{origname}/
+
+#
+# install egg-helper
+#
+install -d $RPM_BUILD_ROOT%{_libexecdir}
+install -m 755 helper/egg-helper $RPM_BUILD_ROOT%{_libexecdir}
+
+
+#
+# install script( bytecompile el and install elc , remove )   
+#
+
+%_installemacsenscript %{origname} %{SOURCE1} 
+
+%_removeemacsenscript  %{origname} %{SOURCE2}
+
+
+#
+# install info file
+# 
+
+mkdir -p ${RPM_BUILD_ROOT}/usr/info
+
+
+%post 
+#
+# bytecompile and install 
+#
+
+if [ "$1" = 2 ]; then
+
+%_emacsenPackageRemove %{origname}
+
+fi
+
+%_addemacsenlist %{origname}
+
+%_emacsenPackageInstall %{origname}
+
+
+%preun
+
+if [ "$1" = 0 ]; then
+
+%_emacsenPackageRemove %{origname}
+
+%_removeemacsenlist %{origname}
+
+fi
+
+
+
+%clean
+[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
+
+
+%files
+%defattr(-,root,root)
+%doc AUTHORS COPYING ChangeLog* NEWS PROBLEMS TODO README.ja.UTF-8.txt doc
+%{_datadir}/emacs/site-lisp/%{origname}/
+%{emacsen_pkgdir}/install/%{origname}
+%{emacsen_pkgdir}/remove/%{origname}
+%{_libexecdir}/egg-helper
+ 
+
+%changelog
+* Tue Apr 28 2015 IWAI, Masaharu <iwaim.sub@gmail.com> 5.0.7.1-1
+- initial release

+ 107 - 0
t/tamago-tsunagi/vine-default-tamago-tsunagi.el

@@ -0,0 +1,107 @@
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+;;  -*- coding: utf-8-unix -*-
+;;  FSF Emacs 24 用 Vine Linux Tamago-tsunagi 設定
+;;    IWAI, Masaharu <iwaim.sub@gmail.com>
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+;; Egg (Wnn フロントエンド) の設定
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+
+;; Wnn6/FreeWnn
+(if (or (equal emacs-ime "wnn")
+        (equal emacs-ime "Wnn")
+        (equal emacs-ime "wnn6")
+        (equal emacs-ime "Wnn6")
+        (equal emacs-ime "wnn8")
+        (equal emacs-ime "Wnn8"))
+    (progn
+
+         ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+      ;;emacs-dl-wnnでないときの設定( emacs-21 + tamago v4)
+
+      (global-set-key "\C-\\" 'toggle-input-method)
+      ;; Shift-Space または 半角/全角 でも起動
+      (global-set-key [?\S-\ ] 'toggle-input-method)
+      (global-set-key [zenkaku-hankaku] 'toggle-input-method)
+      (load "egg")
+      
+      ;; InputMethod の設定
+      ;; emacs 起動時 ASCII
+      ;;(setq default-input-method "japanese-egg-wnn")
+      ;; emacs 起動時から日本語入力
+      (set-input-method "japanese-egg-wnn")
+      
+      ;; jserverの指定
+      ;; jserver のリストを次の様にして指定できます
+      ;;(setq jserver-list '("vanilla" "espresso"))
+      (setq jserver-list (list (getenv "JSERVER") "localhost"))
+
+
+      ;;--------------------------------------------------------
+      ;; tamago v4
+      ;;--------------------------------------------------------
+      ;; 全般
+      
+      ;;(setq egg-default-startup-file "eggrc-wnn") ; 95.6.1 by S.Tomura
+      (garbage-collect)
+      
+      ;; "nn" で「ん」を入力
+      (setq enable-double-n-syntax t)
+      
+      ;; "." で「.」、"," で「,」を入力。
+      (setq use-kuten-for-period nil)
+      (setq use-touten-for-comma nil)
+      
+      )
+  )	
+
+
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+;; tamago-anthy の設定
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+
+(if (or (equal emacs-ime "anthy")
+        (equal emacs-ime "Anthy")
+        (equal emacs-ime "egg-anthy")
+        (equal emacs-ime "tamago-anthy")
+	(equal emacs-ime "tamago-tsunagi-anthy"))
+    (progn
+      (require 'egg)
+      (load "tamago-tsunagi/leim-list")
+      ;; InputMethod の設定
+      (setq default-input-method "japanese-egg-anthy")
+      ;; AnthyとUTF-8で通信する
+      (setq anthy-egg-use-utf8 t)
+      
+      ;; "nn" で「ん」を入力      
+      (setq egg-mode-preference t)
+
+      ;; "." で「.」、"," で「,」を入力。 
+      (setq use-kuten-for-period nil)
+      (setq use-touten-for-comma nil)
+
+      ;; 候補の最後まで行ったら先頭に戻る
+      (setq egg-conversion-wrap-select t)
+      
+      ;; 候補一覧を表示するまでの変換回数、0で非表示
+      (setq egg-conversion-auto-candidate-menu 2)
+      ;; 不正なキーシーケンスを警告する
+      (setq its-barf-on-invalid-keyseq t)
+      
+
+      ;; egg-anthy.el
+      (add-hook 'anthy-load-hook '(lambda () (load "egg-anthy")))
+
+      (global-set-key [?\S-\ ] 'toggle-input-method)
+      (global-set-key [zenkaku-hankaku] 'toggle-input-method)
+      )
+  )
+
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+
+(provide 'vine-default-tamago-tsunagi)
+
+;; Local Variables:
+;; mode: emacs-lisp
+;; End: